none
Problems downloading .NET Framework RRS feed

  • Question

  • My OS is XP Home. I only have .NET Framework 1.1 SP2 and .NET Framework 4. I am missing versions 2.0 through 3.5. 

    I need to load Visual Basic 2008 on my computer but kept getting an error because .NET Framework 3.5 could not be loaded. I try to download 3.5 but found I only have .NET Framework 1.1 SP2 and I am missing versions 2.0 through 3.5.  My computer continues to give me errors when attempting to download these versions but I think it spans from not having the original .NET Framework 2.0.  I cannont find the just 2.0 online. I had downloaded version 4 with no problem previously, and because this was for a class I'm using a trial version of Visual Basics 2010 which works fine but about to end.

    Does anyone know where or how I can load this original 2.0 version? 

    Appreciate any help. Jaycatt30

    Friday, August 27, 2010 5:18 PM

Answers

All replies

  • Hi Jaycatt30,

    Welcome to MSDN forum.

     

    Some questions need to clarify with you.

    - Which special concern would you like to consult?

    - If you would like to install .NET Framework 4 on your machine, have you install Windows XP Service Pack 3 on your machine?

     

    Based on my understanding, would you like to install .NET Framework 2.0 on your machine?

    If you kindly elaborate your problem, you will be able to get quicker and better responses.

     

    If yes, I would provide you some suggestions as follows.

    - .NET Framework 3.5 SP1 is including .NET Framework 2.0 service pack 2 and .NET Framework 3.0 service pack 2 cumulative updates.

    - You could download .NET Framework 3.5 SP1 FULL package from the following link.

      http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=d0e5dea7-ac26-4ad7-b68c-fe5076bba986

     

    If you have any issues during installing .NET Framework, please feel free to let me know.

     

    Best Regards

    Larcolais Gong

     


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by Larcolais Gong Friday, September 3, 2010 4:49 AM
    Monday, August 30, 2010 9:13 AM
  • Larcolais,

    Thank you for the response. 

    Concern: I need to load Visual Basic 2008 to my computer.

    Correct, I need to find and download the original .NET Framework 2.0 in order to download the 3.5 version needed to run Visual Basics 2008.

    Issue:

    I can not load Visual Basic 2008 to my computer. It fails when loading the .NET Framework 3.5. It tells me it cannot find it. I went in to download the 3.5 version but it failed to download because I do not have .NET Framework 2.0.  I apparently only have .NET Framework 1.0 and .NET Framework 4.0 on my system, neither are compatible with VB 2008.

    With the .NET Frame work 4 I am able to work with VB 2010 trial program but this trial is running out. I have a free 2008 VB program through school. (They can't help.)

    I hope this helps to clarify.

    Jay

    Saturday, September 11, 2010 11:21 PM